summaryrefslogtreecommitdiffstats
path: root/satellit_installer
diff options
context:
space:
mode:
authorSimon Rettberg2017-05-12 22:52:20 +0200
committerSimon Rettberg2017-05-12 22:52:20 +0200
commita33e58a6f7308916ae6801e35e06d37f7736c868 (patch)
tree9d30f262c39193e15db2b5250d34ff2b53c473bc /satellit_installer
parent[SSPS] Update slx-admin cronjob handling (diff)
downloadsetup-scripts-a33e58a6f7308916ae6801e35e06d37f7736c868.tar.gz
setup-scripts-a33e58a6f7308916ae6801e35e06d37f7736c868.tar.xz
setup-scripts-a33e58a6f7308916ae6801e35e06d37f7736c868.zip
[SSPS] lighttpd-ssl: Only generate dhparam if not already running
Diffstat (limited to 'satellit_installer')
-rwxr-xr-xsatellit_installer/static_files/lighttpd-auto-ssl.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/satellit_installer/static_files/lighttpd-auto-ssl.sh b/satellit_installer/static_files/lighttpd-auto-ssl.sh
index 32bbee1..9365a33 100755
--- a/satellit_installer/static_files/lighttpd-auto-ssl.sh
+++ b/satellit_installer/static_files/lighttpd-auto-ssl.sh
@@ -5,7 +5,7 @@ declare -rg CHAIN="/etc/lighttpd/chain.pem"
declare -rg DHPARAM="/etc/lighttpd/dhparam.pem"
declare -rg REDIR_FLAG="/etc/lighttpd/redirect.flag"
-if ! [ -s "$DHPARAM" ]; then
+if ! [ -s "$DHPARAM" ] && ! ps aux | grep 'openssl dhparam' | grep -q -v grep; then
openssl dhparam -out "$DHPARAM" 2048 >/dev/null 2>&1
fi